.
« on: 25 June 2014, 02:44:05 »
.
« Last Edit: 03 May 2018, 05:40:11 by Czar05 »

*

texus

  • *****
  • 1232
    • View Profile
    • Texus's Blog
Re: Consistant Error
« Reply #1 on: 25 June 2014, 08:15:58 »
It looks like a configuration mistake.

Did you download a precompiled libary? They also contain sfml libs which you must use with them.

Otherwise just make sure you are using the release libs in release mode and the debug libs in debug mode.

.
« Reply #2 on: 26 June 2014, 01:44:31 »
.
« Last Edit: 03 May 2018, 05:40:24 by Czar05 »

*

texus

  • *****
  • 1232
    • View Profile
    • Texus's Blog
Re: Consistant Error
« Reply #3 on: 26 June 2014, 10:19:42 »
Quote
Additional Library Directories: C:\SFML-2.1\lib; C:\TGUI-0.6.1\lib\TGUI; C:\TGUI-0.6.1\lib\SFML
I think you should try to remove "C:\SFML-2.1\lib" from that list. It probably first finds sfml 2.1 before the sfml version shipped with tgui.

Quote
C:\SFML-2.1\include
You should remove this  too. Although these files are probably still the same, you should take the ones that ship with tgui.

Like it says in the tutorial:
Quote

On windows libraries simply aren't compatible between different versions, so you have to use the exact same sfml version in your project that I used to compile tgui. If you want to use a different version, then you should compile tgui yourself.

Once sfml 2.2 comes out, I won't have to ship a custom sfml version anymore. But since 2.1 has a bug in it that influences tgui, I am forced to do it this way.
« Last Edit: 26 June 2014, 10:21:30 by texus »

.
« Reply #4 on: 26 June 2014, 21:31:54 »
.
« Last Edit: 03 May 2018, 05:40:36 by Czar05 »